<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
require_once ('../system/function.php');
//-----Подключаем вверх-----//
$id = abs(intval($_GET['id']));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_post` WHERE `id` = '".intval($id)."'"));
$forum_t2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$forum_t['tema']."'"));
$down_r = mysql_fetch_array(mysql_query('select * from `post_reit` where `post` = '.$id.' and `kto` = "'.$user['id'].'"'));
$uss = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$forum_t['us']."'"));
$page = abs(intval($_GET['selection']));
require_once ('../system/header.php');





if($forum_t2['status'] == 1) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Тема закрыта!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
if($user['rating'] < 0.01){
echo '<div class="title">Форум | Ошибка</div>
<div class="podmenu"><center><b>Для голосования нужно как минимум 0.01% рейтинга!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($down_r == 0) {
mysql_query("UPDATE `users` SET `rating`='".($uss['rating']-0.01)."' WHERE `id`='".$forum_t['us']."' limit 1");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$forum_t['us']."', `kto` = '".intval($user['id'])."', `text` = 'оставил <b>Отрицательную</b> оценку к вашему посту <b>".$forum_t ['text']."</b> : [url=".$HOME."/forum/tema".$forum_t ['tema']."?selection=top] Перейти[/url]'");
mysql_query("INSERT INTO `post_reit` SET `post` = '".intval($id)."', `komy` = '".$forum_t['us']."', `kto` = '".intval($user['id'])."', `time` = '".time()."', `r` = '2' ");
header('Location: '.$HOME.'/forum/tema'.$forum_t ['tema'].'?selection='.$page.'');
exit();
} else {
header('Location: '.$HOME.'/forum/tema'.$forum_t ['tema'].'?selection='.$page.'');
exit();
}
require_once ('../system/footer.php');
?>